<div class="row justify-content-center">
    <div class="col-4">
<form [formGroup]='loginForm' (ngSubmit)="loginForm.valid && login()" autocomplete="off">
    <h2 class="text-center text-primary">Sign in</h2>
    <hr>
    <app-email-input [formControl]='loginForm.controls["Email"]' 
        [label]='"Email"'></app-email-input> 
    <app-text-input [formControl]='loginForm.controls["Password"]' 
        [label]='"Password"' [type]='"password"'>
    </app-text-input>
    <div class="row" *ngIf="validationErrors.length > 0">
        <ul class="text-danger">
            <li *ngFor="let error of validationErrors">
                {{error}}
            </li>
        </ul>
    </div>
    <div class="form-group text-center">
        <button [disabled]='!loginForm.valid' class="btn btn-success mr-2" type="submit">Login</button>
        <button class="btn btn-default mr-2" (click)="cancel()" type="button">Cancel</button>
    </div>
</form>
</div>
</div>